Package org.eclipse.rdf4j.console.command

## Class SetParameters

- java.lang.Object
- - org.eclipse.rdf4j.console.command.ConsoleCommand
  - - org.eclipse.rdf4j.console.command.SetParameters

- All Implemented Interfaces:
    `Command`, `Help`

      public class SetParameters
      extends ConsoleCommand

  Set parameters command
  Author:
    dale

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SetParameters​(ConsoleIO consoleIO, ConsoleState state, Map<String,​ConsoleSetting> settings)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(String... tokens)` | Execute the given parameters.
    `String` | `getHelpLong()` | Get long description
    `String` | `getHelpShort()` | Get short description, small enough to fit on one console row
    `String` | `getName()` | Get the name of the command

    - ### Methods inherited from class org.eclipse.rdf4j.console.command.ConsoleCommand

      `askProceed, getConsoleIO, getConsoleSettings, getConsoleState, usesSettings, write, writeError, writeError, writeInfo, writeln, writeUnopenedError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetParameters

          public SetParameters​(ConsoleIO consoleIO,
                               ConsoleState state,
                               Map<String,​ConsoleSetting> settings)

      Constructor
      Parameters:
        `consoleIO` -
        `state` -
        `settings` -

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Help`
      Get the name of the command
      Returns:
        string

    - #### getHelpShort

          public String getHelpShort()

      Description copied from class: `ConsoleCommand`
      Get short description, small enough to fit on one console row
      Specified by:
        `getHelpShort` in interface `Help`
      Overrides:
        `getHelpShort` in class `ConsoleCommand`
      Returns:
        help string

    - #### getHelpLong

          public String getHelpLong()

      Description copied from class: `ConsoleCommand`
      Get long description
      Specified by:
        `getHelpLong` in interface `Help`
      Overrides:
        `getHelpLong` in class `ConsoleCommand`
      Returns:
        string, can be multiple lines

    - #### execute

          public void execute​(String... tokens)

      Description copied from interface: `Command`
      Execute the given parameters.
      Specified by:
        `execute` in interface `Command`
      Overrides:
        `execute` in class `ConsoleCommand`
      Parameters:
        `tokens` - parameters typed by user